Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class Base64Deserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.apache.axis.encoding.ser.SimpleDeserializer
                      org.apache.axis.encoding.ser.Base64Deserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class Base64Deserializer
extends SimpleDeserializer

Deserializer for Base64

Author:
  Sam Ruby Modified by @author Rich scheuerle
See Also:
  XML Schema 3.2.16, Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`cacheStringDSer, cacheXMLType, context, javaType, STRING_CLASS, xmlType`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReadyFlag, defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`Base64Deserializer(java.lang.Class javaType, QName xmlType)`

Method Summary
`java.lang.Object` | `makeValue(java.lang.String source)` Convert the string that has been accumulated into an Object.

Methods inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`characters, onEndElement, onStartChild, onStartElement, reset, setConstructor`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, removeValueTargets, setChildValue, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Deserializer

    public Base64Deserializer(java.lang.Class javaType,
                              QName xmlType)

Method Detail

### makeValue

    public java.lang.Object makeValue(java.lang.String source)
                               throws java.lang.Exception

  Convert the string that has been accumulated into an Object. Subclasses may override this. Note that if the javaType is a primitive, the returned object is a wrapper class.

  Overrides:
    `makeValue` in class `SimpleDeserializer`
  Parameters:
    `source` - the serialized value to be deserialized
  Throws:
    `java.lang.Exception` - any exception thrown by this method will be wrapped

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.